太怪的问题,请高手帮忙

taomaintao 2006-10-24 03:08:05
“/”应用程序中的服务器错误。
--------------------------------------------------------------------------------

配置错误
说明: 在处理向该请求提供服务所需的配置文件时出错。请检查下面的特定错误详细信息并适当地修改配置文件。

分析器错误信息: 无法识别的配置节“connectionStrings”

源错误:


行 22:
<add key="constr" value="Provider=Microsoft.Jet.OLEDB.4.0;Data Source=E:\taotao\myitem\item1\database\news.mdb"/>
行 23: </appSettings>
行 24: <connectionStrings />
行 25: <system.web>
行 26: <!--


源文件: E:\taotao\myitem\item1\web.config 行: 24


--------------------------------------------------------------------------------
版本信息: Microsoft .NET Framework 版本:1.1.4322.2300; ASP.NET 版本:1.1.4322.2300




各位:我的环境是win2003+vs2005,本项目在调试运行时没有问题,但发布后运行就出现这种错误,问题来了,我明明是vs2005,.net Framework版本应该是2.0,为什么是1.1,哪里出问题了,请帮忙,十万火急。
...全文
76 6 打赏 收藏 举报
写回复
6 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
taomaintao 2006-10-24
  • 打赏
  • 举报
回复
谢谢各位,问题解决了,原来都是些很简单的问题,不知道就是难呀。
viena 2006-10-24
  • 打赏
  • 举报
回复
命令行,输入
你的系统文件夹\Microsoft.NET\Framework\v2.0.50727\aspnet_regiis -i
vbman2003 2006-10-24
  • 打赏
  • 举报
回复
调试和发布是一台机器吗
viena 2006-10-24
  • 打赏
  • 举报
回复
注册IIS咯
viena 2006-10-24
  • 打赏
  • 举报
回复
<connectionStrings />是什么?
xingyaohua 2006-10-24
  • 打赏
  • 举报
回复
将虚拟目录的asp.net版本设成2.0
虚拟目录-属性-asp.net默认版本是1.1的。
相关推荐
发帖
.NET社区

6.1w+

社区成员

.NET技术交流专区
javascript云原生 企业社区
社区管理员
  • ASP.NET
  • .Net开发者社区
  • R小R
加入社区
帖子事件
创建了帖子
2006-10-24 03:08
社区公告

.NET 社区是一个围绕开源 .NET 的开放、热情、创新、包容的技术社区。社区致力于为广大 .NET 爱好者提供一个良好的知识共享、协同互助的 .NET 技术交流环境。我们尊重不同意见,支持健康理性的辩论和互动,反对歧视和攻击。

希望和大家一起共同营造一个活跃、友好的社区氛围。